Resource Center/Hardware/SAN Storage Operations/iSCSI Server Operations
POSTiSCSI Server OperationsSince 3.0.0SynchronousAuth Required
AddIscsiServer
AddIscsiServer
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringOptional. The resource name.
ipStringRequiredThe IP address.
portIntegerOptional. The port. Default port: 3260.
chapUserNameStringOptional. The CHAP user name. Default value: null.
chapUserPasswordStringOptional. The CHAP password. Default value: null.
resourceUuidStringOptional. The resource UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/storage-devices/iscsi/servers
/zstack/v1/storage-devices/iscsi/servers
Request Example
curl -X POST 'http://{host}/zstack/v1/storage-devices/iscsi/servers' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","ip":"<ip>","port":1,"chapUserName":"<chapUserName>","chapUserPassword":"<chapUserPassword>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "0b77c2e947ca3b40b79f6342728ec8fc", "name": "iscsi-server-10.0.0.201", "ip": "10.0.0.201", "port": 3260.0, "chapUserName": "username", "chapUserPassword": "password", "state": "Enabled", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
